//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.server;

import java.util.Enumeration;
import java.util.List;

import org.huihoo.workflow.WorkflowSerializable;
import org.huihoo.workflow.xpdl.WorkflowParameter;
import org.huihoo.workflow.xpdl.WorkflowTransition;

public interface WorkflowCaseContext extends WorkflowSerializable
{
	public WorkflowParameter getParameterByName(String name);
	public WorkflowParameter getParameterByID(String uuid);
	public Enumeration getParameterNames();

	public List getPerformersByTransition(WorkflowTransition workflowTransition);
	public void setPerformersByTransition(WorkflowTransition workflowTransition, List paricipant_id_list);

	public double getWeightByTransition(WorkflowTransition workflowTransition);
	public void setWeightByTransition(WorkflowTransition workflowTransition, double weight);

	public WorkflowCase getWorkflowCase();
}
